讓 Xcode 5 支援 iOS 6 或更舊的 SDK

首先要取得低版本的 iOS SDK ,如果手邊有舊版 Xcode 4.x 就去底下的位址複製再貼到 Xcode 5 裡。

/Applications/Xcode.app/Contents/Developer/Platforms/iPhoneOS.platform/Developer/SDKs

該目下會有各版本的 SDK ,例如 iPhoneOS6.1.sdk 。

若手邊沒有也可以去 iOS Dev Center 下載舊版的 Xcode 。
下載後不用安裝,只需掛載拿取裡面的 iPhoneOS6.1.sdk ,位址跟上面的一樣。

接下來就是設定 Xcode 的部份了,Build Settings → Architectures → Base SDK 改成 iOS 6.1 。
這樣在 iOS 7 上跑也都是看到舊版的 UI ,但這也代表無法使用 iOS 7 帶來的新功能。

發表迴響